Page MenuHomePhabricator

Improve poolcounter error messages.
Closed, ResolvedPublic

Description

From: https://wikitech.wikimedia.org/wiki/Incident_documentation/20140113-Poolcounter#Actionables

"Some context would be helpful, like poolcounter server contacted, pool context, URL. And perhaps error messages even if only in English (as opposed to what's displayed to the user)"


Version: unspecified
Severity: normal

Details

Reference
bz63027

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:58 AM
bzimport added a project: PoolCounter.
bzimport set Reference to bz63027.
bzimport added a subscriber: Unknown Object (MLST).
greg created this task.Mar 24 2014, 8:15 PM

The key, and error message in English, were done in February 2014. The pool type was added in April 2014. The URL is included in the monolog stream. So I guess it's just the PC server that is missing? That would be easy enough for errors that originate in the extension, like connect failures. For errors that come from the core, like pool overflow, the PC server is more difficult to determine, and less likely to be relevant.

Change 366983 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[mediawiki/extensions/PoolCounter@master] Show the hostname in error messages

https://gerrit.wikimedia.org/r/366983

tstarling moved this task from Inbox to Future on the MediaWiki-Platform-Team board.

Change 366983 merged by jenkins-bot:
[mediawiki/extensions/PoolCounter@master] Show the hostname in error messages

https://gerrit.wikimedia.org/r/366983

tstarling closed this task as Resolved.Aug 22 2017, 1:45 AM